/**
 * @swagger
 * components:
 *   schemas:
 *     User:
 *       type: object
 *       required:
 *         - userId
 *         - fullName
 *         - passwordHash
 *         - email
 *         - isActive
 *       properties:
 *         userId:
 *           type: integer
 *           description: The unique identifier for the user
 *           example: 456
 *         fullName:
 *           type: string
 *           description: The full name of the user
 *           example: "John Doe"
 *         passwordHash:
 *           type: string
 *           description: The hashed password of the user (not returned in API responses)
 *           example: "$2a$10$dXJ3SW6G7P50lGmMkkmwe.20cQQubK3.HZWzG3YB1tlRy.fqvM/BG"
 *         email:
 *           type: string
 *           format: email
 *           description: The email address of the user
 *           example: "john.doe@nachklang.art"
 *         isActive:
 *           type: boolean
 *           description: Whether the user account is active
 *           example: true
 */
export interface User {
	userId: number;
	fullName: string;
	passwordHash: string;
	email: string;
	isActive: boolean;
}
